# Interface NodeDefaults

#### Hierarchy

- NodeDefaults

#####
Index

### Properties

borderColor
borderWidth
hoverColor
labelDisplay
labelHalign
labelMinLength
labelStyle
selectedInnerColor
selectedOuterColor
showDisclosure

## Properties

### borderColor

borderColor: string

The default border color of the nodes.

### borderWidth

borderWidth: number

The default border width of the nodes.

### hoverColor

hoverColor: string

The color of the node hover feedback.

### labelDisplay

labelDisplay: string

The label display behavior for the nodes. See the Help documentation for more information.

### labelHalign

labelHalign: string

The horizontal alignment for labels displayed within the node. Only applies to rotated text.

### labelMinLength

labelMinLength: number

The minimum number of visible characters needed to render a truncated label. See the Help documentation for more information.

### labelStyle

labelStyle: object

The CSS style object defining the style of the label.

### selectedInnerColor

selectedInnerColor: string

The inner color of the node selection feedback.

### selectedOuterColor

selectedOuterColor: string

The outer color of the node selection feedback.

### showDisclosure

showDisclosure: string

Specifies whether to display the expand/collapse button on hover.

Generated using TypeDoc